<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 4;
$toolId = \ToolsAPI::TOOL_RAUMBELEGUNG_HM;

$objsettings = ToolSettingsAPI::getToolSettings($toolId);

if (!function_exists('getFarben')) {
  function getFarben()
  {
    return array(
    'WHITE' => 'nicht in Legende aufnehmen', 'AQUA' => 'Blaugrün',   'AQUAMARINE' => 'Aquamarinblau', 'BEIGE' => 'Beige',
    'BISQUE' => 'Tomatencreme',               'CHARTREUSE' => 'Hellgrün',   'CHOCOLATE' => 'Schokolade',    'CORAL' => 'Koralle',
    'GOLD' => 'Gold',                       '#DAA520' => 'Goldrute',   'GREENYELLOW' => 'Grüngelb',      'KHAKI' => 'Khaki',
    'LAVENDER' => 'Lavendelfarbe',              'LIGHTBLUE' => 'Hellblau',   'MAGENTA' => 'Magentarot',    'ORANGE' => 'Orange',
    'ORCHID' => 'Orchidee',                   'PALEGREEN' => 'Blassgrün',  'PEACHPUFF' => 'Pfirsich',      'PERU' => 'Peru',
    'PINK' => 'Rosa',                       'PLUM' => 'Pflaume',    'PURPLE' => 'Violett',       'SALMON' => 'Lachs',
    'SILVER' => 'Silber',                     'TAN' => 'Gelbbraun',  'THISTLE' => 'Diestel',       'TOMATO' => 'Tomatenrot',
    'TURQUOISE' => 'Türkis',                     'VIOLET' => 'Violett',    'WHEAT' => 'Weizen',        'WHITESMOKE' => 'Rauchiges Weiß',
    'YELLOW' => 'Gelb',                       'RED' => 'Rot',        'GREEN' => 'Grün',          '#FF4500' => 'Hellrot',
    '#A0522D' => 'Braun',                      'BLUE' => 'Blau',       '#900000' => 'Dunkelrot'
    );
  }
}

$farben = getFarben();

$settingsArray = array();

$setting = new Setting();
$setting->name = 'medienanzeigen2';
$setting->description = 'Medien anzeigen';
$setting->subGroup = 'Raumgrafik';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'showKursNrInRaumGrafik';
$setting->description = 'Kursnummer in Grafik anzeigen';
$setting->help = 'Gibt an, ob die Kursnummer in einem Kurstag Block in der Raumgrafik angezeigt wird';
$setting->subGroup = 'Raumgrafik';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'showDozentInRaumGrafik';
$setting->description = 'Dozentennamen in Grafik anzeigen';
$setting->help = 'Gibt an, ob der Dozentenname in einem Kurstag Block in der Raumgrafik angezeigt wird';
$setting->subGroup = 'Raumgrafik';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'showKursTitelInRaumGrafik';
$setting->description = 'Kurstitel in Grafik anzeigen';
$setting->help = 'Gibt an, ob der Kurstitel in einem Kurstag Block in der Raumgrafik angezeigt wird';
$setting->subGroup = 'Raumgrafik';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'grafik_raum_header';
$setting->description = 'Raumbeschreibung in der Überschrift';
$setting->subGroup = 'Raumgrafik';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
    '1' => 'immer Raumbezeichnung',
    '2' => 'Kurzbezeichnung falls vorhanden, sonst Raumbezeichnung',
    '0' => 'immer Kurzbezeichnung'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'farbenorm';
$setting->description = 'Normal';
$setting->subGroup = 'Farbauswahl für die Legende der Grafiken';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array_merge(array(DEFAULT_FARBE4AUSWAHL => '---Farbe auswählen---'), $farben);
$setting->config->setBgColor = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'farbeX';
$setting->description = 'durchgeführt (X)';
$setting->subGroup = 'Farbauswahl für die Legende der Grafiken';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array_merge(array(DEFAULT_FARBE4AUSWAHL => '---Farbe auswählen---'), $farben);
$setting->config->setBgColor = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'farbeA';
$setting->description = 'Ausfall (A)';
$setting->subGroup = 'Farbauswahl für die Legende der Grafiken';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array_merge(array(DEFAULT_FARBE4AUSWAHL => '---Farbe auswählen---'), $farben);
$setting->config->setBgColor = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'farbeN';
$setting->description = 'Nachbesprechung (N)';
$setting->subGroup = 'Farbauswahl für die Legende der Grafiken';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array_merge(array(DEFAULT_FARBE4AUSWAHL => '---Farbe auswählen---'), $farben);
$setting->config->setBgColor = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'farbeZ';
$setting->description = 'Zusatztag (Z)';
$setting->subGroup = 'Farbauswahl für die Legende der Grafiken';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array_merge(array(DEFAULT_FARBE4AUSWAHL => '---Farbe auswählen---'), $farben);
$setting->config->setBgColor = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'farbeV';
$setting->description = 'Vorbesprechung (V)';
$setting->subGroup = 'Farbauswahl für die Legende der Grafiken';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array_merge(array(DEFAULT_FARBE4AUSWAHL => '---Farbe auswählen---'), $farben);
$setting->config->setBgColor = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'farbeE';
$setting->description = 'Elternabend (E)';
$setting->subGroup = 'Farbauswahl für die Legende der Grafiken';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array_merge(array(DEFAULT_FARBE4AUSWAHL => '---Farbe auswählen---'), $farben);
$setting->config->setBgColor = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'farbeP';
$setting->description = 'Prüfung (P)';
$setting->subGroup = 'Farbauswahl für die Legende der Grafiken';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array_merge(array(DEFAULT_FARBE4AUSWAHL => '---Farbe auswählen---'), $farben);
$setting->config->setBgColor = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'farbeI';
$setting->description = 'Informationsabend (I)';
$setting->subGroup = 'Farbauswahl für die Legende der Grafiken';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array_merge(array(DEFAULT_FARBE4AUSWAHL => '---Farbe auswählen---'), $farben);
$setting->config->setBgColor = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'farbe1K';
$setting->description = '1ter Kurstag (1K)';
$setting->subGroup = 'Farbauswahl für die Legende der Grafiken';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array_merge(array(DEFAULT_FARBE4AUSWAHL => '---Farbe auswählen---'), $farben);
$setting->config->setBgColor = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'farbeS';
$setting->description = 'Sperre (S)';
$setting->subGroup = 'Farbauswahl für die Legende der Grafiken';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array_merge(array(DEFAULT_FARBE4AUSWAHL => '---Farbe auswählen---'), $farben);
$setting->config->setBgColor = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'farbeKursplanung';
$setting->description = 'Kursplanung';
$setting->subGroup = 'Farbauswahl für die Legende der Grafiken';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array_merge(array(DEFAULT_FARBE4AUSWAHL => '---Farbe auswählen---'), $farben);
$setting->config->setBgColor = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'farbeAufruestungszeit';
$setting->description = 'Aufrüstungszeit';
$setting->subGroup = 'Farbauswahl für die Legende der Grafiken';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array_merge(array(DEFAULT_FARBE4AUSWAHL => '---Farbe auswählen---'), $farben);
$setting->config->setBgColor = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'farbeAbruestungszeit';
$setting->description = 'Abrüstungszeit';
$setting->subGroup = 'Farbauswahl für die Legende der Grafiken';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array_merge(array(DEFAULT_FARBE4AUSWAHL => '---Farbe auswählen---'), $farben);
$setting->config->setBgColor = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'raumGrafikStartUhrzeit';
$setting->description = 'Voreingestellte Startuhrzeit';
$setting->subGroup = 'Voreingestellte Start- und Enduhrzeit';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_TIME);
$setting->config->placeHolder = '08:00';
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'raumGrafikEndeUhrzeit';
$setting->description = 'Voreingestellte Enduhrzeit';
$setting->subGroup = 'Voreingestellte Start- und Enduhrzeit';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_TIME);
$setting->config->placeHolder = '23:00';
array_push($settingsArray, $setting);